package jp.deadend.noname.littlemusic;

import jp.deadend.noname.littlemusic.ListenLMSInterface;

interface LMSInterface {
	List<String> getSongs();
	List<String> getDirs();
	int getPos();
	String getCurrentDir();

	void playFile( in int position );
	int pause();

	void stop();
	void skipForward();
	void skipBack();
	void skipDir();
	void gotoDir(int idx);

	void setShuffleSong(boolean val);
	void setShuffleDir(boolean val);
	void setLoop(boolean val);
	void setRootDir(String d);
	boolean getShuffleSong();
	boolean getShuffleDir();
	boolean getLoop();
	int getState();
	String getRootDir();

	void setListener(ListenLMSInterface listenInterface);
}
